com.ihr.xbrl.util

## Class InstallCert

- java.lang.Object
- - com.ihr.xbrl.util.InstallCert

-     public class InstallCert
      extends java.lang.Object

  Installs digital certificates in a user defined certificate store.
  Author:
    Ignacio

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static interface` | `InstallCert.PasswordProvider` The Interface PasswordProvider.

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `cacertsFileName` This is the file name (without path) where the digital certificates will be stored.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `InstallCert()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `main(java.lang.String[] args)` The main method.
    `static void` | `mainFromApp(java.lang.String host, InstallCert.PasswordProvider passwordProviderClass)` This is the same as calling main with arguments, but the arguments comes from an interface that provides the real values.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### cacertsFileName

          public static final java.lang.String cacertsFileName

      This is the file name (without path) where the digital certificates will be stored.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### InstallCert

          public InstallCert()

  - ### Method Detail

    - #### mainFromApp

          public static void mainFromApp(java.lang.String host,
                         InstallCert.PasswordProvider passwordProviderClass)
                                  throws java.lang.Exception

      This is the same as calling main with arguments, but the arguments comes from an interface that provides the real values.
      Parameters:
        `host` - the host
        `passwordProviderClass` - the password provider class
      Throws:
        `java.lang.Exception` - the exception

    - #### main

          public static void main(java.lang.String[] args)
                           throws java.lang.Exception

      The main method.
      Parameters:
        `args` - the arguments
      Throws:
        `java.lang.Exception` - the exception